View Issue Details

IDProjectCategoryView StatusLast Update
0000247ascendbuild-windowspublic2008-02-10 13:00
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000247: DYNAMIC_PACKAGES doesn't work on MinGW or Windows
DescriptionIt is a limitation of Windows DLLs that they can not contain any undefined symbols. We need to make some small design changes to that ASCEND external libraries do not require any external symbols (back in the main executable) but that instead they receive function pointers corresponding to the required hook functions (error_reporter, possibly others).
Additional InformationIt was suggested by a libtool developer to read
http://edll.sf.net/
TagsNo tags attached.

Relationships

related to 0000145 closedjohn external statements and DYNAMIC_PACKAGES not working 

Activities

john

2006-03-19 11:05

administrator   ~0000307

Think that this is resolved in changeset 451 but it needs testing still.

john

2006-03-21 02:02

administrator   ~0000308

Fixed in changeset 452.

Issue History

Date Modified Username Field Change
2006-03-15 16:34 john New Issue
2006-03-15 16:34 john Target release => 0.9.6
2006-03-15 16:34 john Assigned To => john
2006-03-15 16:34 john Status new => assigned
2006-03-15 16:34 john Category build-linux => build-windows
2006-03-15 16:34 john Relationship added related to 0000145
2006-03-19 11:05 john Note Added: 0000307
2006-03-21 02:02 john Status assigned => resolved
2006-03-21 02:02 john Resolution open => fixed
2006-03-21 02:02 john Note Added: 0000308
2006-06-22 07:36 john Status resolved => feedback
2006-06-22 07:47 john Status feedback => resolved
2006-06-22 07:47 john Fixed in Version => 0.9.6
2007-11-11 16:13 svn
2008-02-10 13:00 john Status resolved => closed